------------drop i-table script BEGIN--------
---Version 26-NOV-2023
---remark run whole script, ignore errors when table or trigger did not exist!---
---Drop triggers
declare
begin
  execute immediate 'drop trigger trg_i_customerach';
exception
  when others then
    null;
end;
/
declare
begin
  execute immediate 'drop trigger i_productlistpercustomer_tom';
exception
  when others then
    null;
end;
/
declare
begin
  execute immediate 'drop trigger i_productsize_tom';
exception
  when others then
    null;
end;
/
declare
begin
  execute immediate 'drop trigger i_uniquepool_tom';
exception
  when others then
    null;
end;
/
declare
begin
  execute immediate 'drop trigger i_uniqueitem_pool';
exception
  when others then
    null;
end;
/
declare
begin
  execute immediate 'drop trigger trg_i_uniqueitem_tom';
exception
  when others then
    null;
end;
/
begin
  execute immediate 'drop trigger I_CONTRACTPRODUCT_TOM';
exception
  when others then
    null;
end;
/
---Drop tables
begin
  execute immediate 'drop table I_UNIQUEITEMIMAGE';
exception
  when others then
    null;
end;
/

begin
  execute immediate 'drop table I_OUTOFCIRCULATIONHISTORY';
exception
  when others then
    null;
end;
/

begin
  execute immediate 'drop table I_ISSUEHISTORY';
exception
  when others then
    null;
end;
/

begin
  execute immediate 'drop table I_EMBLEMHISTORY';
exception
  when others then
    null;
end;
/

begin
  execute immediate 'drop table I_CONTRACTEMBLEMTEMPLATE';
exception
  when others then
    null;
end;
/
begin
  execute immediate 'drop table I_CONTRACTPOCUSTOMER';
exception
  when others then
    null;
end;
/
begin
  execute immediate 'drop table I_CONTRACTPURCHASEORDERLINE';
exception
  when others then
    null;
end;
/
begin
  execute immediate 'drop table I_CONTRACTPURCHASEORDER';
exception
  when others then
    null;
end;
/
begin
  execute immediate 'drop table I_DEPOT';
exception
  when others then
    null;
end;
/
begin
  execute immediate 'drop table I_BUSINESSUNIT';
exception
  when others then
    null;
end;
/
begin
  execute immediate 'drop table I_PLANT';
exception
  when others then
    null;
end;
/

declare
begin
  execute immediate 'drop table I_PLANTPRODUCTSETTINGS';
exception
  when others then
    null;
end;
/

declare
begin
  execute immediate 'drop table I_PLANTPRODUCTSIZESETTINGS';
exception
  when others then
    null;
end;
/

declare
begin
  execute immediate 'drop table I_CONTRACTPRODUCTQMGROUP';
exception
  when others then
    null;
end;
/
declare
begin
  execute immediate 'drop table I_CONTRACTPRODUCT';
exception
  when others then
    null;
end;
/
declare
begin
  execute immediate 'drop table I_CONTRACTUSERGROUP';
exception
  when others then
    null;
end;
/
declare
begin
  execute immediate 'drop table I_CONTRACTCOMPONENT';
exception
  when others then
    null;
end;
/
declare
begin
  execute immediate 'drop table I_PRODUCTCONVERSIONSIZE';
exception
  when others then
    null;
end;
/
declare
begin
  execute immediate 'drop table I_LOCKER';
exception
  when others then
    null;
end;
/
declare
begin
  execute immediate 'drop table I_WEBUSERCUSTOMER';
exception
  when others then
    null;
end;
/
declare
begin
  execute immediate 'drop table I_WEBUSER';
exception
  when others then
    null;
end;
/
declare
begin
  execute immediate 'drop table I_NOBUDGETCLIENT';
exception
  when others then
    null;
end;
/
declare
begin
  execute immediate 'drop table I_NOBUDGETDEPARTMENT';
exception
  when others then
    null;
end;
/
declare
begin
  execute immediate 'drop table I_SUPPLIER';
exception
  when others then
    null;
end;
/
begin
  execute immediate 'drop table I_SCANHISTORY';
exception
  when others then
    null;
end;
/
begin
  execute immediate 'drop table I_FIXEDWEARERS';
exception
  when others then
    null;
end;
/
begin
  execute immediate 'drop table I_STOCKROOMLOCATION';
exception
  when others then
    null;
end;
/
begin
  execute immediate 'drop table I_CUSTOMERPREPCHARGE';
exception
  when others then
    null;
end;
/
begin
  execute immediate 'drop table I_TURNOVERGROUP';
exception
  when others then
    null;
end;
/
begin
  execute immediate 'drop table I_CUSTOMERCREDITCARD';
exception
  when others then
    null;
end;
/
begin
  execute immediate 'drop table I_CUSTOMERCHARGES';
exception
  when others then
    null;
end;
/
declare
begin
   execute immediate 'drop table I_CLEANROOMUIDELIVERY';
   exception
   when others then
   null;
 end;
/ 
drop table I_DIALOGFLEXFLIELDS;
drop table I_IMAGE;
drop table I_STOCKCOUNTSCHEDULEDAY;
drop table I_STOCKCOUNTSCHEDULEDIST;
drop table I_STOCKCOUNTSCHEDULE;
drop table I_PURCHASEORDERLINE;
drop table I_PURCHASEORDERHEADER;
drop table I_PACKINGNOTELINECONTENT;
drop table I_PACKINGNOTECONTAINER;
drop table I_PACKINGNOTELINE;
drop table I_PACKINGNOTE;
drop table I_UNIQUEORPACKCONTENTS;
drop table I_CASHAPPLICATION;
drop table I_COSTPRICELIST;
drop table I_ALTERNATIVESIZES;
drop table I_STDLOCATIONPERPRODUCTSIZE;
drop table I_UNIQUEITEMLOSS;
drop table I_NONBUSINESSDAY;
drop table I_ARTRANSACTION;
drop table I_TEMPORARYDELIVERYSTOP;
drop table I_CHANGESPERWEEKRENTPRICE;
declare
begin
   execute immediate 'drop table I_CLEANROOMBATCH';
   exception
   when others then
   null;
 end;
/  
declare
begin
  execute immediate 'drop table I_CONTACTCALLS_FOLLOWUP';
exception
  when others then
    null;
end;
/
drop table I_CONTACTCALLS;
drop table I_CONTAINER;
drop table I_CONTRACTCUSTOMER;
drop table I_CONTRACTPRICELIST;
declare
begin
  execute immediate 'drop table I_CONTRACTPRICE';
exception
  when others then
    null;
end;
/
declare
begin
  execute immediate 'drop table I_CONTRACTATTRIBUTE';
exception
  when others then
    null;
end;
/
drop table I_CONTRACT;
drop table I_CREDITCARD;
drop table I_CUSTOMERACTIVITIES;
drop table I_CUSTOMERENVINFO;
drop table I_CUSTOMERSTOCKCHARGE;
drop table I_CUSTOMERUSERINSTRUCTION;
drop table I_GENERALUSERINSTRUCTION;
drop table I_DELIVERYDAYS;
drop table I_DELIVERYHISTORY;
drop table I_DELIVERYVARIATION;
drop table I_EMBLEM;
drop table I_EMBLEMTEMPLATE;
drop table I_FREQUENCYRELATEDRENTPRICES;
drop table I_SOILTICKETLINE;
drop table I_SOILTICKET;
declare
begin
  execute immediate 'drop table I_CUSTOMERIMAGECAREPRICE';
exception
  when others then
    null;
end;
/
declare
begin
  execute immediate 'drop table I_CUSTOMERSURVEY';
exception
  when others then
    null;
end;
/
declare
begin
  execute immediate 'drop table I_INVOICELINE';
exception
  when others then
    null;
end;
/
drop table I_INVOICEHEADER;
drop table I_MATORDERINGINFO;
drop table I_MISCCHARGE;
drop table I_MISCELLANEOUS;
drop table I_ONSITEINVADJUSTMENT;
drop table I_PACKCONTENTSALTERNATIVE;
drop table I_PACKCONTENT;
drop table I_PRICELISTPERCUSTOMER;
drop table I_PRICELIST;
declare
begin
  execute immediate 'drop table I_PRICEINDEX';
exception
  when others then
    null;
end;
/
drop table I_RESIDENTIALPLPC;
drop table I_SCAN;
drop table I_SOILREASONABILITY;
drop table I_SPECIALCHARGEPERPRODUCT;
drop table I_SPECIALCHARGESPERCUSTOMER;
drop table I_STANDARDINVENTORY;
drop table I_DELIVERYSTANDARDS;
drop table I_STOCKDEFINITIONPERITEM;
drop table I_STOCKROOMQUANTITY;
drop table I_SUPPLIERPRODUCT;
drop table I_TAXAUTHORITIES;
drop table I_TAXDEFINITION;
drop table I_TURNOVER_PLPC;
drop table I_UNIQUEITEMFLAGS;
drop table I_UNIQUEORSTERILE;
drop table I_UNIQUEORPACK;
drop table I_UNIQUEPOOL;
drop table I_UNIQUERESITEM;
drop table I_UNIQUEITEM;
drop table I_ACTIVESTOCKLOCATION;
drop table I_USERDEFINEDEMBLEM;
drop table I_WORKORDERLINE;
drop table I_WORKORDER;
drop table I_WEARERINVENTORY;
drop table I_WEARER;
drop table I_WEIGHINGCATEGPERCUSTOMER;
begin
  execute immediate 'drop table I_PLPCTEMPRENTSTOP';
exception
  when others then
    null;
end;
/
drop table I_PRODUCTLISTPERCUSTOMER;
drop table I_PRODUCTSIZE;
declare
begin
  execute immediate 'drop table I_CUSTOMERBGPROTECTIONPRICE';
exception
  when others then
    null;
end;
/
drop table I_PRODUCT;
drop table I_DELIVERYPOINT;
drop table I_COSTCENTER;
drop table I_CONSUMPTIONPOINT;
drop table I_CLIENT;
drop table I_DEPARTMENT;
drop table I_VISITMONTH;
declare
begin
  execute immediate 'drop table I_BDECUSTOMER';
exception
  when others then
    null;
end;
/
drop table I_BILLTOACCOUNT;
drop table I_CONTACTPERSON;
drop table I_CUSTOMERRESIDENTIALSETTINGS;
declare
begin
  execute immediate 'drop table I_CUSTOMERBUDGETDEFINITION';
exception
  when others then
    null;
end;
/
declare
begin
  execute immediate 'drop table I_PAYBYCUSTOMER';
exception
  when others then
    null;
end;
/
declare
begin
  execute immediate 'drop table I_CUSTOMERACH';
exception
  when others then
    null;
end;
/
begin
  execute immediate 'drop table I_CUSTOMERGARMENTCHARGES';
exception
  when others then
    null;
end;
/
drop table I_CUSTOMER;
declare
begin
  execute immediate 'drop table I_ALLOCATIONTRANS';
exception
  when others then
    null;
end;
/
begin
  execute immediate 'drop table I_EXTERNALSTERILIZATIONLOT';
exception
  when others then
    null;
end;
/

-----------drop i-table script END --------
